Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.impl
Class LCMFactoryImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.EFactoryImpl
                              org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.impl.LCMFactoryImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, LCMFactory

    public class LCMFactoryImpl

extends org.eclipse.emf.ecore.impl.EFactoryImpl
implements LCMFactory

An implementation of the model Factory.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.lcm.LCMFactory
`eINSTANCE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`LCMFactoryImpl()` Creates an instance of the factory.

Method Summary
`org.eclipse.emf.ecore.EObject` | `create(org.eclipse.emf.ecore.EClass eClass)`
`AcceptObjectsRequestType` | `createAcceptObjectsRequestType()`
`ApproveObjectsRequestType` | `createApproveObjectsRequestType()`
`DeprecateObjectsRequestType` | `createDeprecateObjectsRequestType()`
`DocumentRoot` | `createDocumentRoot()`
`RelocateObjectsRequestType` | `createRelocateObjectsRequestType()`
`RemoveObjectsRequestType` | `createRemoveObjectsRequestType()`
`SubmitObjectsRequestType` | `createSubmitObjectsRequestType()`
`UndeprecateObjectsRequestType` | `createUndeprecateObjectsRequestType()`
`UpdateObjectsRequestType` | `createUpdateObjectsRequestType()`
`LCMPackage` | `getLCMPackage()`
`static LCMPackage` | `getPackage()` Deprecated.
`static LCMFactory` | `init()` Creates the default factory implementation.

Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl
`basicSetEPackage, convertToString, createFromString, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### LCMFactoryImpl

    public LCMFactoryImpl()

  Creates an instance of the factory.

Method Detail

### init

    public static LCMFactory init()

  Creates the default factory implementation.

### create

    public org.eclipse.emf.ecore.EObject create(org.eclipse.emf.ecore.EClass eClass)

  Specified by:
    `create` in interface `org.eclipse.emf.ecore.EFactory`
  Overrides:
    `create` in class `org.eclipse.emf.ecore.impl.EFactoryImpl`

### createAcceptObjectsRequestType

    public AcceptObjectsRequestType createAcceptObjectsRequestType()

  Specified by:
    `createAcceptObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Accept Objects Request Type'.

### createApproveObjectsRequestType

    public ApproveObjectsRequestType createApproveObjectsRequestType()

  Specified by:
    `createApproveObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Approve Objects Request Type'.

### createDeprecateObjectsRequestType

    public DeprecateObjectsRequestType createDeprecateObjectsRequestType()

  Specified by:
    `createDeprecateObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Deprecate Objects Request Type'.

### createDocumentRoot

    public DocumentRoot createDocumentRoot()

  Specified by:
    `createDocumentRoot` in interface `LCMFactory`
  Returns:
    a new object of class 'Document Root'.

### createRelocateObjectsRequestType

    public RelocateObjectsRequestType createRelocateObjectsRequestType()

  Specified by:
    `createRelocateObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Relocate Objects Request Type'.

### createRemoveObjectsRequestType

    public RemoveObjectsRequestType createRemoveObjectsRequestType()

  Specified by:
    `createRemoveObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Remove Objects Request Type'.

### createSubmitObjectsRequestType

    public SubmitObjectsRequestType createSubmitObjectsRequestType()

  Specified by:
    `createSubmitObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Submit Objects Request Type'.

### createUndeprecateObjectsRequestType

    public UndeprecateObjectsRequestType createUndeprecateObjectsRequestType()

  Specified by:
    `createUndeprecateObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Undeprecate Objects Request Type'.

### createUpdateObjectsRequestType

    public UpdateObjectsRequestType createUpdateObjectsRequestType()

  Specified by:
    `createUpdateObjectsRequestType` in interface `LCMFactory`
  Returns:
    a new object of class 'Update Objects Request Type'.

### getLCMPackage

    public LCMPackage getLCMPackage()

  Specified by:
    `getLCMPackage` in interface `LCMFactory`
  Returns:
    the package supported by this factory.

### getPackage

    public static LCMPackage getPackage()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD